>
> Does having the requirements specified in a JSON file, without requiring a
> specific build tool to install the files, solve the packaging, testing, and
> deployment issue on platforms where node.js isn’t supported natively right
> now?
>

We only support what we test. Unless I missed something, there are no
platforms, relevant to horizon and openstack, in where nodejs is not
supported natively.

- Fedora 18 and later have a native nodejs package, infra offers versions
20/21.
- CentOS delivers a native package via EPEL as of version 5. Infra includes
the EPEL repository and offers CentOS 6/7.
- Debian offers it as of Wheezy, Ubuntu as of Trusty. Infra's in the
process of deprecating most of our Precise nodes, which I believe we're
only keeping around for our python3.3 jobs (3.4 is already on trusty).
Horizon only tests Python 2.7.

Michael
__________________________________________________________________________
OpenStack Development Mailing List (not for usage questions)
Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to